// component/updatePassword/updatePassword.ts
Component({
    /**
     * 组件的属性列表
     */
    properties: {

    },

    /**
     * 组件的初始数据
     */
    data: {
        width: 671,
        height: 713,
        initScale: 0,
        showAccPwd: true,
        scaleAnim: 0
    },
    lifetimes: {
        attached: function () {
            // 在组件实例被从页面节点树添加时执行
            //放大小动画（）
            this.data.scaleAnim = setInterval(() => {
                if (this.data.initScale < 0.9) {
                    this.setData({
                        initScale: this.data.initScale + 0.1
                    })
                } else {
                    clearInterval(this.data.scaleAnim)
                }
                console.log("123123123")
            }, 15);

        },
        detached: function () {
            // 在组件实例被从页面节点树移除时执行

        },
    },



    /**
     * 组件的方法列表
     */
    methods: {


        //账号密码登录——---------------------------
        showAccountPwd: function (event: any) {
            if (this.data.showAccPwd) {
                this.setData({
                    showAccPwd: false
                })
            } else {
                this.setData({
                    showAccPwd: true
                })
            }

            console.log("this.data.showAccPwd:" + this.data.showAccPwd)
        },

        hideSelf: function (event: any) {
            //调用父组件方法移除自身
            this.triggerEvent('showUpdatePwdLayout');
        }


    }



})
